#include "TPS2HB35AQPWPRQ1.h"
#include "SGM4591Q.h"

/*3A外发12片*2路*/

/*3A_OUT1*/
void TPS2HB35_SetOutput3A_OUT1(uint8_t state)
{
  static uint8_t Output3A_OUT1 = 0;
  if (Output3A_OUT1 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip2_1_Segment1.BIT.PIN_2 = 1;
    }
    else
    {
      SGM4591Q_Chip2_1_Segment1.BIT.PIN_2 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip2_1, SGM4591Q_Segment1);

    Output3A_OUT1 = state;
  }
}
/*3A_OUT2*/
void TPS2HB35_SetOutput3A_OUT2(uint8_t state)
{
  static uint8_t Output3A_OUT2 = 0;
  if (Output3A_OUT2 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip2_1_Segment0.BIT.PIN_0 = 1;
    }
    else
    {
      SGM4591Q_Chip2_1_Segment0.BIT.PIN_0 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip2_1, SGM4591Q_Segment0);

    Output3A_OUT2 = state;
  }
}
/*3A_OUT3*/
void TPS2HB35_SetOutput3A_OUT3(uint8_t state)
{
  static uint8_t Output3A_OUT3 = 0;
  if (Output3A_OUT3 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip2_1_Segment0.BIT.PIN_3 = 1;
    }
    else
    {
      SGM4591Q_Chip2_1_Segment0.BIT.PIN_3 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip2_1, SGM4591Q_Segment0);

    Output3A_OUT3 = state;
  }
}
/*3A_OUT4*/
void TPS2HB35_SetOutput3A_OUT4(uint8_t state)
{
  static uint8_t Output3A_OUT4 = 0;
  if (Output3A_OUT4 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip2_1_Segment0.BIT.PIN_6 = 1;
    }
    else
    {
      SGM4591Q_Chip2_1_Segment0.BIT.PIN_6 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip2_1, SGM4591Q_Segment0);

    Output3A_OUT4 = state;
  }
}
/*3A_OUT5*/
void TPS2HB35_SetOutput3A_OUT5(uint8_t state)
{
  static uint8_t Output3A_OUT5 = 0;
  if (Output3A_OUT5 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip4_1_Segment1.BIT.PIN_2 = 1;
    }
    else
    {
      SGM4591Q_Chip4_1_Segment1.BIT.PIN_2 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip4_1, SGM4591Q_Segment1);

    Output3A_OUT5 = state;
  }
}
/*3A_OUT6*/
void TPS2HB35_SetOutput3A_OUT6(uint8_t state)
{
  static uint8_t Output3A_OUT6 = 0;
  if (Output3A_OUT6 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip4_1_Segment1.BIT.PIN_4 = 1;
    }
    else
    {
      SGM4591Q_Chip4_1_Segment1.BIT.PIN_4 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip4_1, SGM4591Q_Segment1);

    Output3A_OUT6 = state;
  }
}
/*3A_OUT7*/
void TPS2HB35_SetOutput3A_OUT7(uint8_t state)
{
  static uint8_t Output3A_OUT7 = 0;
  if (Output3A_OUT7 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip2_1_Segment1.BIT.PIN_5 = 1;
    }
    else
    {
      SGM4591Q_Chip2_1_Segment1.BIT.PIN_5 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip2_1, SGM4591Q_Segment1);

    Output3A_OUT7 = state;
  }
}
/*3A_OUT8*/
void TPS2HB35_SetOutput3A_OUT8(uint8_t state)
{
  static uint8_t Output3A_OUT8 = 0;
  if (Output3A_OUT8 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip2_2_Segment0.BIT.PIN_1 = 1;
    }
    else
    {
      SGM4591Q_Chip2_2_Segment0.BIT.PIN_1 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip2_2, SGM4591Q_Segment0);

    Output3A_OUT8 = state;
  }
}
/*3A_OUT9*/
void TPS2HB35_SetOutput3A_OUT9(uint8_t state)
{
  static uint8_t Output3A_OUT9 = 0;
  if (Output3A_OUT9 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip2_2_Segment0.BIT.PIN_2 = 1;
    }
    else
    {
      SGM4591Q_Chip2_2_Segment0.BIT.PIN_2 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip2_2, SGM4591Q_Segment0);

    Output3A_OUT9 = state;
  }
}
/*3A_OUT10*/
void TPS2HB35_SetOutput3A_OUT10(uint8_t state)
{
  static uint8_t Output3A_OUT10 = 0;
  if (Output3A_OUT10 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip2_2_Segment0.BIT.PIN_7 = 1;
    }
    else
    {
      SGM4591Q_Chip2_2_Segment0.BIT.PIN_7 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip2_2, SGM4591Q_Segment0);

    Output3A_OUT10 = state;
  }
}
/*3A_OUT11*/
void TPS2HB35_SetOutput3A_OUT11(uint8_t state)
{
  static uint8_t Output3A_OUT11 = 0;
  if (Output3A_OUT11 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip2_2_Segment1.BIT.PIN_0 = 1;
    }
    else
    {
      SGM4591Q_Chip2_2_Segment1.BIT.PIN_0 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip2_2, SGM4591Q_Segment1);

    Output3A_OUT11 = state;
  }
}
/*3A_OUT12*/
void TPS2HB35_SetOutput3A_OUT12(uint8_t state)
{
  static uint8_t Output3A_OUT12 = 0;
  if (Output3A_OUT12 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip2_2_Segment1.BIT.PIN_4 = 1;
    }
    else
    {
      SGM4591Q_Chip2_2_Segment1.BIT.PIN_4 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip2_2, SGM4591Q_Segment1);

    Output3A_OUT12 = state;
  }
}
/*3A_OUT13*/
void TPS2HB35_SetOutput3A_OUT13(uint8_t state)
{
  static uint8_t Output3A_OUT13 = 0;
  if (Output3A_OUT13 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip2_2_Segment1.BIT.PIN_7 = 1;
    }
    else
    {
      SGM4591Q_Chip2_2_Segment1.BIT.PIN_7 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip2_2, SGM4591Q_Segment1);

    Output3A_OUT13 = state;
  }
}
/*3A_OUT14*/
void TPS2HB35_SetOutput3A_OUT14(uint8_t state)
{
  static uint8_t Output3A_OUT14 = 0;
  if (Output3A_OUT14 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip2_3_Segment0.BIT.PIN_3 = 1;
    }
    else
    {
      SGM4591Q_Chip2_3_Segment0.BIT.PIN_3 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip2_3, SGM4591Q_Segment0);

    Output3A_OUT14 = state;
  }
}
/*3A_OUT15*/
void TPS2HB35_SetOutput3A_OUT15(uint8_t state)
{
  static uint8_t Output3A_OUT15 = 0;
  if (Output3A_OUT15 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip2_3_Segment0.BIT.PIN_4 = 1;
    }
    else
    {
      SGM4591Q_Chip2_3_Segment0.BIT.PIN_4 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip2_3, SGM4591Q_Segment0);

    Output3A_OUT15 = state;
  }
}
/*3A_OUT16*/
void TPS2HB35_SetOutput3A_OUT16(uint8_t state)
{
  static uint8_t Output3A_OUT16 = 0;
  if (Output3A_OUT16 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip2_3_Segment1.BIT.PIN_1 = 1;
    }
    else
    {
      SGM4591Q_Chip2_3_Segment1.BIT.PIN_1 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip2_3, SGM4591Q_Segment1);

    Output3A_OUT16 = state;
  }
}
/*3A_OUT17*/
void TPS2HB35_SetOutput3A_OUT17(uint8_t state)
{
  static uint8_t Output3A_OUT17 = 0;
  if (Output3A_OUT17 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_2_Segment0.BIT.PIN_5 = 1;
    }
    else
    {
      SGM4591Q_Chip3_2_Segment0.BIT.PIN_5 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_2, SGM4591Q_Segment0);

    Output3A_OUT17 = state;
  }
}
/*3A_OUT18*/
void TPS2HB35_SetOutput3A_OUT18(uint8_t state)
{
  static uint8_t Output3A_OUT18 = 0;
  if (Output3A_OUT18 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_2_Segment0.BIT.PIN_6 = 1;
    }
    else
    {
      SGM4591Q_Chip3_2_Segment0.BIT.PIN_6 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_2, SGM4591Q_Segment0);

    Output3A_OUT18 = state;
  }
}
/*3A_OUT19*/
void TPS2HB35_SetOutput3A_OUT19(uint8_t state)
{
  static uint8_t Output3A_OUT19 = 0;
  if (Output3A_OUT19 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_4_Segment0.BIT.PIN_6 = 1;
    }
    else
    {
      SGM4591Q_Chip3_4_Segment0.BIT.PIN_6 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_4, SGM4591Q_Segment0);

    Output3A_OUT19 = state;
  }
}
/*3A_OUT20*/
void TPS2HB35_SetOutput3A_OUT20(uint8_t state)
{
  static uint8_t Output3A_OUT20 = 0;
  if (Output3A_OUT20 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_4_Segment0.BIT.PIN_5 = 1;
    }
    else
    {
      SGM4591Q_Chip3_4_Segment0.BIT.PIN_5 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_4, SGM4591Q_Segment0);

    Output3A_OUT20 = state;
  }
}
/*3A_OUT21*/
void TPS2HB35_SetOutput3A_OUT21(uint8_t state)
{
  static uint8_t Output3A_OUT21 = 0;
  if (Output3A_OUT21 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_4_Segment1.BIT.PIN_7 = 1;
    }
    else
    {
      SGM4591Q_Chip3_4_Segment1.BIT.PIN_7 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_4, SGM4591Q_Segment1);

    Output3A_OUT21 = state;
  }
}
/*3A_OUT22*/
void TPS2HB35_SetOutput3A_OUT22(uint8_t state)
{
  static uint8_t Output3A_OUT22 = 0;
  if (Output3A_OUT22 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_2_Segment0.BIT.PIN_0 = 1;
    }
    else
    {
      SGM4591Q_Chip3_2_Segment0.BIT.PIN_0 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_2, SGM4591Q_Segment0);

    Output3A_OUT22 = state;
  }
}
/*3A_OUT23*/
void TPS2HB35_SetOutput3A_OUT23(uint8_t state)
{
  static uint8_t Output3A_OUT23 = 0;
  if (Output3A_OUT23 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_2_Segment1.BIT.PIN_6 = 1;
    }
    else
    {
      SGM4591Q_Chip3_2_Segment1.BIT.PIN_6 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_2, SGM4591Q_Segment1);

    Output3A_OUT23 = state;
  }
}
/*3A_OUT24*/
void TPS2HB35_SetOutput3A_OUT24(uint8_t state)
{
  static uint8_t Output3A_OUT24 = 0;
  if (Output3A_OUT24 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_2_Segment1.BIT.PIN_2 = 1;
    }
    else
    {
      SGM4591Q_Chip3_2_Segment1.BIT.PIN_2 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_2, SGM4591Q_Segment1);

    Output3A_OUT24 = state;
  }
}

/*5A外发10片*2路*/

/*5A_OUT1*/
void TPS2HB35_SetOutput5A_OUT1(uint8_t state)
{
  static uint8_t Output5A_OUT1 = 0;
  if (Output5A_OUT1 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_1_Segment0.BIT.PIN_4 = 1;
    }
    else
    {
      SGM4591Q_Chip3_1_Segment0.BIT.PIN_4 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_1, SGM4591Q_Segment0);

    Output5A_OUT1 = state;
  }
}
/*5A_OUT2*/
void TPS2HB35_SetOutput5A_OUT2(uint8_t state)
{
  static uint8_t Output5A_OUT2 = 0;
  if (Output5A_OUT2 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_1_Segment1.BIT.PIN_7 = 1;
    }
    else
    {
      SGM4591Q_Chip3_1_Segment1.BIT.PIN_7 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_1, SGM4591Q_Segment1);

    Output5A_OUT2 = state;
  }
}
/*5A_OUT3*/
void TPS2HB35_SetOutput5A_OUT3(uint8_t state)
{
  static uint8_t Output5A_OUT3 = 0;
  if (Output5A_OUT3 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_1_Segment1.BIT.PIN_5 = 1;
    }
    else
    {
      SGM4591Q_Chip3_1_Segment1.BIT.PIN_5 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_1, SGM4591Q_Segment1);

    Output5A_OUT3 = state;
  }
}
/*5A_OUT4*/
void TPS2HB35_SetOutput5A_OUT4(uint8_t state)
{
  static uint8_t Output5A_OUT4 = 0;
  if (Output5A_OUT4 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_1_Segment0.BIT.PIN_0 = 1;
    }
    else
    {
      SGM4591Q_Chip3_1_Segment0.BIT.PIN_0 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_1, SGM4591Q_Segment0);

    Output5A_OUT4 = state;
  }
}
/*5A_OUT5*/
void TPS2HB35_SetOutput5A_OUT5(uint8_t state)
{
  static uint8_t Output5A_OUT5 = 0;
  if (Output5A_OUT5 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip2_3_Segment1.BIT.PIN_3 = 1;
    }
    else
    {
      SGM4591Q_Chip2_3_Segment1.BIT.PIN_3 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip2_3, SGM4591Q_Segment1);

    Output5A_OUT5 = state;
  }
}
/*5A_OUT6*/
void TPS2HB35_SetOutput5A_OUT6(uint8_t state)
{
  static uint8_t Output5A_OUT6 = 0;
  if (Output5A_OUT6 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip2_3_Segment1.BIT.PIN_5 = 1;
    }
    else
    {
      SGM4591Q_Chip2_3_Segment1.BIT.PIN_5 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip2_3, SGM4591Q_Segment1);

    Output5A_OUT6 = state;
  }
}
/*5A_OUT7*/
void TPS2HB35_SetOutput5A_OUT7(uint8_t state)
{
  static uint8_t Output5A_OUT7 = 0;
  if (Output5A_OUT7 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_4_Segment0.BIT.PIN_1 = 1;
    }
    else
    {
      SGM4591Q_Chip3_4_Segment0.BIT.PIN_1 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_4, SGM4591Q_Segment0);

    Output5A_OUT7 = state;
  }
}
/*5A_OUT8*/
void TPS2HB35_SetOutput5A_OUT8(uint8_t state)
{
  static uint8_t Output5A_OUT8 = 0;
  if (Output5A_OUT8 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_1_Segment1.BIT.PIN_3 = 1;
    }
    else
    {
      SGM4591Q_Chip3_1_Segment1.BIT.PIN_3 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_1, SGM4591Q_Segment1);

    Output5A_OUT8 = state;
  }
}
/*5A_OUT9*/
void TPS2HB35_SetOutput5A_OUT9(uint8_t state)
{
  static uint8_t Output5A_OUT9 = 0;
  if (Output5A_OUT9 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_4_Segment1.BIT.PIN_5 = 1;
    }
    else
    {
      SGM4591Q_Chip3_4_Segment1.BIT.PIN_5 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_4, SGM4591Q_Segment1);

    Output5A_OUT9 = state;
  }
}
/*5A_OUT10*/
void TPS2HB35_SetOutput5A_OUT10(uint8_t state)
{
  static uint8_t Output5A_OUT10 = 0;
  if (Output5A_OUT10 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_4_Segment1.BIT.PIN_4 = 1;
    }
    else
    {
      SGM4591Q_Chip3_4_Segment1.BIT.PIN_4 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_4, SGM4591Q_Segment1);

    Output5A_OUT10 = state;
  }
}
/*5A_OUT11*/
void TPS2HB35_SetOutput5A_OUT11(uint8_t state)
{
  static uint8_t Output5A_OUT11 = 0;
  if (Output5A_OUT11 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip1_4_Segment1.BIT.PIN_1 = 1;
    }
    else
    {
      SGM4591Q_Chip1_4_Segment1.BIT.PIN_1 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip1_4, SGM4591Q_Segment1);

    Output5A_OUT11 = state;
  }
}
/*5A_OUT12*/
void TPS2HB35_SetOutput5A_OUT12(uint8_t state)
{
  static uint8_t Output5A_OUT12 = 0;
  if (Output5A_OUT12 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip1_4_Segment0.BIT.PIN_4 = 1;
    }
    else
    {
      SGM4591Q_Chip1_4_Segment0.BIT.PIN_4 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip1_4, SGM4591Q_Segment0);

    Output5A_OUT12 = state;
  }
}
/*5A_OUT13*/
void TPS2HB35_SetOutput5A_OUT13(uint8_t state)
{
  static uint8_t Output5A_OUT13 = 0;
  if (Output5A_OUT13 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip1_4_Segment0.BIT.PIN_3 = 1;
    }
    else
    {
      SGM4591Q_Chip1_4_Segment0.BIT.PIN_3 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip1_4, SGM4591Q_Segment0);

    Output5A_OUT13 = state;
  }
}
/*5A_OUT14*/
void TPS2HB35_SetOutput5A_OUT14(uint8_t state)
{
  static uint8_t Output5A_OUT14 = 0;
  if (Output5A_OUT14 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip1_3_Segment0.BIT.PIN_0 = 1;
    }
    else
    {
      SGM4591Q_Chip1_3_Segment0.BIT.PIN_0 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip1_3, SGM4591Q_Segment0);

    Output5A_OUT14 = state;
  }
}
/*5A_OUT15*/
void TPS2HB35_SetOutput5A_OUT15(uint8_t state)
{
  static uint8_t Output5A_OUT15 = 0;
  if (Output5A_OUT15 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_3_Segment1.BIT.PIN_2 = 1;
    }
    else
    {
      SGM4591Q_Chip3_3_Segment1.BIT.PIN_2 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_3, SGM4591Q_Segment1);

    Output5A_OUT15 = state;
  }
}
/*5A_OUT16*/
void TPS2HB35_SetOutput5A_OUT16(uint8_t state)
{
  static uint8_t Output5A_OUT16 = 0;
  if (Output5A_OUT16 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_3_Segment1.BIT.PIN_6 = 1;
    }
    else
    {
      SGM4591Q_Chip3_3_Segment1.BIT.PIN_6 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_3, SGM4591Q_Segment1);

    Output5A_OUT16 = state;
  }
}
/*5A_OUT17*/
void TPS2HB35_SetOutput5A_OUT17(uint8_t state)
{
  static uint8_t Output5A_OUT17 = 0;
  if (Output5A_OUT17 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip4_3_Segment0.BIT.PIN_3 = 1;
    }
    else
    {
      SGM4591Q_Chip4_3_Segment0.BIT.PIN_3 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip4_3, SGM4591Q_Segment0);

    Output5A_OUT17 = state;
  }
}
/*5A_OUT18*/
void TPS2HB35_SetOutput5A_OUT18(uint8_t state)
{
  static uint8_t Output5A_OUT18 = 0;
  if (Output5A_OUT18 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip4_3_Segment1.BIT.PIN_1 = 1;
    }
    else
    {
      SGM4591Q_Chip4_3_Segment1.BIT.PIN_1 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip4_3, SGM4591Q_Segment1);

    Output5A_OUT18 = state;
  }
}
/*5A_OUT19*/
void TPS2HB35_SetOutput5A_OUT19(uint8_t state)
{
  static uint8_t Output5A_OUT19 = 0;
  if (Output5A_OUT19 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_3_Segment0.BIT.PIN_4 = 1;
    }
    else
    {
      SGM4591Q_Chip3_3_Segment0.BIT.PIN_4 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_3, SGM4591Q_Segment0);

    Output5A_OUT19 = state;
  }
}
/*5A_OUT20*/
void TPS2HB35_SetOutput5A_OUT20(uint8_t state)
{
  static uint8_t Output5A_OUT20 = 0;
  if (Output5A_OUT20 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_3_Segment1.BIT.PIN_0 = 1;
    }
    else
    {
      SGM4591Q_Chip3_3_Segment1.BIT.PIN_0 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_3, SGM4591Q_Segment1);

    Output5A_OUT20 = state;
  }
}

/*10A外发4片*2路*/

/*10A_OUT1*/
void TPS2HB35_SetOutput10A_OUT1(uint8_t state)
{
  static uint8_t Output10A_OUT1 = 0;
  if (Output10A_OUT1 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip1_1_Segment0.BIT.PIN_7 = 1;
    }
    else
    {
      SGM4591Q_Chip1_1_Segment0.BIT.PIN_7 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip1_1, SGM4591Q_Segment0);

    Output10A_OUT1 = state;
  }
}
/*10A_OUT2*/
void TPS2HB35_SetOutput10A_OUT2(uint8_t state)
{
  static uint8_t Output10A_OUT2 = 0;
  if (Output10A_OUT2 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip1_1_Segment1.BIT.PIN_0 = 1;
    }
    else
    {
      SGM4591Q_Chip1_1_Segment1.BIT.PIN_0 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip1_1, SGM4591Q_Segment1);

    Output10A_OUT2 = state;
  }
}
/*10A_OUT3*/
void TPS2HB35_SetOutput10A_OUT3(uint8_t state)
{
  static uint8_t Output10A_OUT3 = 0;
  if (Output10A_OUT3 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip1_1_Segment1.BIT.PIN_3 = 1;
    }
    else
    {
      SGM4591Q_Chip1_1_Segment1.BIT.PIN_3 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip1_1, SGM4591Q_Segment1);

    Output10A_OUT3 = state;
  }
}
/*10A_OUT4*/
void TPS2HB35_SetOutput10A_OUT4(uint8_t state)
{
  static uint8_t Output10A_OUT4 = 0;
  if (Output10A_OUT4 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip1_1_Segment1.BIT.PIN_7 = 1;
    }
    else
    {
      SGM4591Q_Chip1_1_Segment1.BIT.PIN_7 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip1_1, SGM4591Q_Segment1);

    Output10A_OUT4 = state;
  }
}
/*10A_OUT5*/
void TPS2HB35_SetOutput10A_OUT5(uint8_t state)
{
  static uint8_t Output10A_OUT5 = 0;
  if (Output10A_OUT5 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip1_4_Segment1.BIT.PIN_6 = 1;
    }
    else
    {
      SGM4591Q_Chip1_4_Segment1.BIT.PIN_6 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip1_4, SGM4591Q_Segment1);

    Output10A_OUT5 = state;
  }
}
/*10A_OUT6*/
void TPS2HB35_SetOutput10A_OUT6(uint8_t state)
{
  static uint8_t Output10A_OUT6 = 0;
  if (Output10A_OUT6 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip1_4_Segment1.BIT.PIN_3 = 1;
    }
    else
    {
      SGM4591Q_Chip1_4_Segment1.BIT.PIN_3 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip1_4, SGM4591Q_Segment1);

    Output10A_OUT6 = state;
  }
}
/*10A_OUT7*/
void TPS2HB35_SetOutput10A_OUT7(uint8_t state)
{
  static uint8_t Output10A_OUT7 = 0;
  if (Output10A_OUT7 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip4_3_Segment1.BIT.PIN_6 = 1;
    }
    else
    {
      SGM4591Q_Chip4_3_Segment1.BIT.PIN_6 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip4_3, SGM4591Q_Segment1);

    Output10A_OUT7 = state;
  }
}
/*10A_OUT8*/
void TPS2HB35_SetOutput10A_OUT8(uint8_t state)
{
  static uint8_t Output10A_OUT8 = 0;
  if (Output10A_OUT8 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip4_3_Segment0.BIT.PIN_5 = 1;
    }
    else
    {
      SGM4591Q_Chip4_3_Segment0.BIT.PIN_5 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip4_3, SGM4591Q_Segment0);

    Output10A_OUT8 = state;
  }
}

/*15A外发14片*1路*/

/*15A_OUT1*/
void TPS2HB35_SetOutput15A_OUT1(uint8_t state)
{
  static uint8_t Output15A_OUT1 = 0;
  if (Output15A_OUT1 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip1_2_Segment0.BIT.PIN_0 = 1;
    }
    else
    {
      SGM4591Q_Chip1_2_Segment0.BIT.PIN_0 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip1_2, SGM4591Q_Segment0);

    Output15A_OUT1 = state;
  }
}
/*15A_OUT2*/
void TPS2HB35_SetOutput15A_OUT2(uint8_t state)
{

  static uint8_t Output15A_OUT2 = 0;
  if (Output15A_OUT2 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip1_2_Segment1.BIT.PIN_2 = 1;
    }
    else
    {
      SGM4591Q_Chip1_2_Segment1.BIT.PIN_2 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip1_2, SGM4591Q_Segment1);

    Output15A_OUT2 = state;
  }
}
/*15A_OUT3*/
void TPS2HB35_SetOutput15A_OUT3(uint8_t state)
{
  static uint8_t Output15A_OUT3 = 0;
  if (Output15A_OUT3 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip1_2_Segment1.BIT.PIN_7 = 1;
    }
    else
    {
      SGM4591Q_Chip1_2_Segment1.BIT.PIN_7 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip1_2, SGM4591Q_Segment1);

    Output15A_OUT3 = state;
  }
}
/*15A_OUT4*/
void TPS2HB35_SetOutput15A_OUT4(uint8_t state)
{
  static uint8_t Output15A_OUT4 = 0;
  if (Output15A_OUT4 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip1_2_Segment0.BIT.PIN_1 = 1;
    }
    else
    {
      SGM4591Q_Chip1_2_Segment0.BIT.PIN_1 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip1_2, SGM4591Q_Segment0);

    Output15A_OUT4 = state;
  }
}
/*15A_OUT5*/
void TPS2HB35_SetOutput15A_OUT5(uint8_t state)
{
  static uint8_t Output15A_OUT5 = 0;
  if (Output15A_OUT5 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip4_2_Segment0.BIT.PIN_5 = 1;
    }
    else
    {
      SGM4591Q_Chip4_2_Segment0.BIT.PIN_5 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip4_2, SGM4591Q_Segment0);

    Output15A_OUT5 = state;
  }
}
/*15A_OUT6*/
void TPS2HB35_SetOutput15A_OUT6(uint8_t state)
{
  static uint8_t Output15A_OUT6 = 0;
  if (Output15A_OUT6 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip4_2_Segment1.BIT.PIN_0 = 1;
    }
    else
    {
      SGM4591Q_Chip4_2_Segment1.BIT.PIN_0 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip4_2, SGM4591Q_Segment1);

    Output15A_OUT6 = state;
  }
}
/*15A_OUT7*/
void TPS2HB35_SetOutput15A_OUT7(uint8_t state)
{
  static uint8_t Output15A_OUT7 = 0;
  if (Output15A_OUT7 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip4_2_Segment1.BIT.PIN_5 = 1;
    }
    else
    {
      SGM4591Q_Chip4_2_Segment1.BIT.PIN_5 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip4_2, SGM4591Q_Segment1);

    Output15A_OUT7 = state;
  }
}
/*15A_OUT8*/
void TPS2HB35_SetOutput15A_OUT8(uint8_t state)
{
  static uint8_t Output15A_OUT8 = 0;
  if (Output15A_OUT8 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip4_3_Segment0.BIT.PIN_2 = 1;
    }
    else
    {
      SGM4591Q_Chip4_3_Segment0.BIT.PIN_2 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip4_3, SGM4591Q_Segment0);

    Output15A_OUT8 = state;
  }
}
/*15A_OUT9*/
void TPS2HB35_SetOutput15A_OUT9(uint8_t state)
{
  static uint8_t Output15A_OUT9 = 0;
  if (Output15A_OUT9 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip3_3_Segment0.BIT.PIN_3 = 1;
    }
    else
    {
      SGM4591Q_Chip3_3_Segment0.BIT.PIN_3 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip3_3, SGM4591Q_Segment0);

    Output15A_OUT9 = state;
  }
}
/*15A_OUT10*/
void TPS2HB35_SetOutput15A_OUT10(uint8_t state)
{
  static uint8_t Output15A_OUT10 = 0;
  if (Output15A_OUT10 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip4_4_Segment0.BIT.PIN_7 = 1;
    }
    else
    {
      SGM4591Q_Chip4_4_Segment0.BIT.PIN_7 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip4_4, SGM4591Q_Segment0);

    Output15A_OUT10 = state;
  }
}
/*15A_OUT11*/
void TPS2HB35_SetOutput15A_OUT11(uint8_t state)
{
  static uint8_t Output15A_OUT11 = 0;
  if (Output15A_OUT11 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip4_1_Segment0.BIT.PIN_4 = 1;
    }
    else
    {
      SGM4591Q_Chip4_1_Segment0.BIT.PIN_4 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip4_1, SGM4591Q_Segment0);

    Output15A_OUT11 = state;
  }
}
/*15A_OUT12*/
void TPS2HB35_SetOutput15A_OUT12(uint8_t state)
{
  static uint8_t Output15A_OUT12 = 0;
  if (Output15A_OUT12 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip4_1_Segment1.BIT.PIN_0 = 1;
    }
    else
    {
      SGM4591Q_Chip4_1_Segment1.BIT.PIN_0 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip4_1, SGM4591Q_Segment1);

    Output15A_OUT12 = state;
  }
}
/*15A_OUT13*/
void TPS2HB35_SetOutput15A_OUT13(uint8_t state)
{
  static uint8_t Output15A_OUT13 = 0;
  if (Output15A_OUT13 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip4_4_Segment1.BIT.PIN_0 = 1;
    }
    else
    {
      SGM4591Q_Chip4_4_Segment1.BIT.PIN_0 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip4_4, SGM4591Q_Segment1);

    Output15A_OUT13 = state;
  }
}
/*15A_OUT14*/
void TPS2HB35_SetOutput15A_OUT14(uint8_t state)
{
  static uint8_t Output15A_OUT14 = 0;
  if (Output15A_OUT14 != state)
  {
    if (state == 1)
    {
      SGM4591Q_Chip4_4_Segment1.BIT.PIN_6 = 1;
    }
    else
    {
      SGM4591Q_Chip4_4_Segment1.BIT.PIN_6 = 0;
    }
    SGM4591Q_Global_Control(SGM4591Q_Chip4_4, SGM4591Q_Segment1);

    Output15A_OUT14 = state;
  }
}
